/*
 * UART.c
 *
 *  Created on: Apr 10, 2019
 *      Author: a0222913
 */
#include <msp430.h>
#include <FlexLED.h>


void uartInitial()
{
    UCA0CTL1 |= UCSWRST;//USCI Software Reset enable
    UCA0CTL0 |= UCMODE_0; //UART mode

    UCA0CTL1 |= UCSSEL_1;  //select clock source ACLK
/*
    //115200 buard rate (ACLK = 1MHz)
    UCA0BR0 = 8;
    UCA0BR1 = 0;//UCBR = UCAxBR0 + UCAxBR1  256
    UCA0MCTL |= UCBRF_0 + UCBRS_6;//set 115200 baud rate
*/

    //230400 buard rate (ACLK = 4MHz)
    UCA0BR0 = 17;
    UCA0BR1 = 0;//UCBR = UCAxBR0 + UCAxBR1  256
    UCA0MCTL |= UCBRF_0 + UCBRS_3;//set 230400 baud rate

    UCA0CTL1 &= ~UCSWRST;//USCI reset released for operation

}
